Installing Zend Guard

Installation is initiated either by downloading the product from www.zend.com,or by Zend Studio during its installation.

Regardless of the installation method, Zend Guard provides a standalone solution for encoding files as well as electronic licensing for protecting intellectual property.

System Requirements

  • Linux x86
  • Linux x86-64 (only with 32-bit libraries)
  • Windows 7 / Windows 8
  • Mac OS X 10.10

Note:

Please note that some requirements may change from time to time. To view the latest Zend Guard system requirements, go to: http://www.zend.com/en/products/guard#requirements.

PHP Version Compatibility

Encoded and obfuscated PHP files can be run by the Zend Guard Loader corresponding to their PHP version, as specified in the table below:

PHP Version

Zend Guard Loader

PHP 5.5

Zend Guard Loader for PHP 5.5

PHP 5.6

Zend Guard Loader for PHP 5.6

The Zend Guard Loader is available for download free of charge, from the Zend Store, at: http://www.zend.com/store.

Note:   

PHP 5.2 files encoded with Zend Guard 5.0 or Zend Guard 5.5 require Zend Optimizer as the runtime decoder. Click here for more information.

Downloading and Extracting Zend Guard

  • Windows - Download and open the ZendGuard-7_0_0.exe file, and follow the instructions in the installation wizard.

  • Linux - Download and extract the ZendGuard-7_0_0-linux.tar.gz file.

  • Mac - Download and extract the ZendGuard-7_0_0.dmg file. Double-click on the archive directory to start the Zend Guard installation executable and follow the instructions in the installation wizard.